function [Result] = Chk_Resolve(str, index1, index2, HapMat);
%check if haplotype str can resolve other genotypes
%return 1 if str can resolve one genotype in HapMat
%index is the genotype that should skip

Result = 0;
[NumOfGenotype, Length] = size(HapMat);
for m1 = 1: NumOfGenotype
	if((m1 ~= index1) & (m1 ~= index2))
		pass = true;
		tempGeno = HapMat(m1,:);
		for m2 =1:length(str)
			if((str(m2) == '1' & tempGeno(m2) == '0') | (str(m2) =='0' & tempGeno(m2) =='1'))
				pass = false;
				break;
			end
		end
		
		if(pass == true)
			%find one genotype that can be resolved
			Result = 1;
			break;
		end
	end
end
